<?php

namespace UnicaenCode\Form;

class Assertion extends AbstractForm
{
    public function init()
    {
        $this->addText(
            'class', 'Nom de classe de l\'assertion', 'Application\Assertion\ExempleAssertion'
        );

        $this->addCheckbox(
            'factory', 'Générer une factory', true
        );

        $this->addCheckbox(
            'subDir', 'Les traits, interfaces et Factory seront placés dans des sous-dossiers dédiés', false
        );
    }



    public function getParams(): array
    {
        $params = [
            'generator'    => 'Assertion',
            'class'        => $this->get('class')->getValue(),
            'subDir'    => $this->get('subDir')->getValue(),
        ];
        if ($this->get('factory')->getValue()) {
            $params['factory'] = [];
        }

        return $params;
    }
}